/* Generated automatically from USAGE by mkusage. */

static const char usage_message[] =
"Usage: newsyslog [-bchv] [<config-file>]\n\
\n\
newsyslog rotates, archives, copies, and/or truncates log files as\n\
instructed in a configuration file, including running commands before\n\
and after if desired.  If not given on the command line, the default\n\
configuration file is %s.\n\
\n\
  -b    Use bzip2 to compress log files instead of gzip\n\
  -c    Just syntax-check the configuration file, don't do anything\n\
  -h    Prints this message\n\
  -v    Prints the version of newsyslog\n\
\n";

#define CONFIG_FILE "/usr/local/etc/newsyslog.conf"

#include "utility.h"

#include <stdio.h>
#include <stdlib.h>

void
usage(int status)
{
    fprintf(status ? stderr : stdout, usage_message, CONFIG_FILE);
    exit(status);
}
